﻿namespace U2UConsult.Win8.PrintingSample
{
    using Common;
    using System.Collections.Generic;
    using System.Linq;

    public class MainPageViewModel : BindableBase
    {
        private string selectedQuote;
        private string message;

        private List<string> trekkieQuotes = new List<string>() 
            { 
                "Open a hailing frequency.",
                "The best diplomat that I know is a fully-loaded phaser bank.",
                "In four hours the ship blows up.",
                "Phasers on stun.",
                "Please, Captain, not in front of the Klingons.",
                "Worlds are conquered, galaxies destroyed...but a woman is always a woman.",
                "We have them just where they want us. "
            };

        public MainPageViewModel()
        {
            this.SelectedQuote = this.trekkieQuotes.First();
        }

        /// <summary>
        /// Warning, Error, Info message
        /// </summary>
        public string Message
        {
            get { return this.message; }
            set { this.SetProperty(ref this.message, value); }
        }

        public List<string> TrekkieQuotes
        {
            get { return this.trekkieQuotes; }
        }

        public string SelectedQuote
        {
            get { return selectedQuote; }
            set { this.SetProperty(ref this.selectedQuote, value); }
        }
    }
}
